org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class PageLockTrackerMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockTrackerMXBeanImpl

All Implemented Interfaces:
  PageLockTrackerMXBean

    public class PageLockTrackerMXBeanImpl
    extends Object
    implements PageLockTrackerMXBean

Implementation of `PageLockTrackerMXBean`.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockTrackerMXBean

`MBEAN_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PageLockTrackerMXBeanImpl(PageLockTrackerManager mgr, PageLockTrackerManager.MemoryCalculator memoryCalculator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `dumpLocks()` Take page locks dump.
`String` `dumpLocksToFile()` Take page locks dump and save to file.
`String` `dumpLocksToFile(String path)` Take page locks dump and save to file for specific path.
`void` `dumpLocksToLog()` Take page locks dump and print it to console.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageLockTrackerMXBeanImpl

    public PageLockTrackerMXBeanImpl(PageLockTrackerManager mgr,
                                     PageLockTrackerManager.MemoryCalculator memoryCalculator)

Parameters:
  `mgr` - Page lock tracker manager.

### Method Detail

#### dumpLocks

    public String dumpLocks()

Take page locks dump.

Specified by:
  `dumpLocks` in interface `PageLockTrackerMXBean`
Returns:
  String representation of page locks dump.

#### dumpLocksToLog

    public void dumpLocksToLog()

Take page locks dump and print it to console.

Specified by:
  `dumpLocksToLog` in interface `PageLockTrackerMXBean`

#### dumpLocksToFile

    public String dumpLocksToFile()

Take page locks dump and save to file.

Specified by:
  `dumpLocksToFile` in interface `PageLockTrackerMXBean`
Returns:
  Absolute file path.

#### dumpLocksToFile

    public String dumpLocksToFile(String path)

Take page locks dump and save to file for specific path.

Specified by:
  `dumpLocksToFile` in interface `PageLockTrackerMXBean`
Parameters:
  `path` - Path to save file.
Returns:
  Absolute file path.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021